import { jsx } from "react/jsx-runtime";
import "react";
import "clsx";
import { useProps } from "../../core/MantineProvider/use-props/use-props.mjs";
import { factory } from "../../core/factory/factory.mjs";
import { ModalBaseOverlay } from "../ModalBase/ModalBaseOverlay.mjs";
import { useModalContext } from "./Modal.context.mjs";
import classes from "./Modal.module.css.mjs";
const defaultProps = {};
const ModalOverlay = factory((_props, ref) => {
  const props = useProps("ModalOverlay", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = useModalContext();
  return /* @__PURE__ */ jsx(
    ModalBaseOverlay,
    {
      ref,
      ...ctx.getStyles("overlay", { classNames, style, styles, className }),
      ...others
    }
  );
});
ModalOverlay.classes = classes;
ModalOverlay.displayName = "@mantine/core/ModalOverlay";
export {
  ModalOverlay
};
